<style scoped lang="less">
.header {
  width: 100vw;
  display: flex;
  align-items: center;
  // padding: 4vh 15vw;
  &__logo {
    font-size: 1.6rem;
    color: white;
    font-weight: bold;
  }
  &__time {
    // margin-left: auto;
    color: white;
    font-weight: bold;
    font-size: 1.3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  &__search {
    margin: 0 auto;
  }
}
</style>


<template>
  <div class="header">
    <div class="header__logo">WeatherApp</div>
    <SearchBar class="header__search" />
    <div class="header__time">
      <span>{{ time }}</span>
      <span>{{ date }}</span>
    </div>
  </div>
</template>

<script>
import SearchBar from '@/components/SearchBar'
export default {
  name: 'Header',
  components: {
    SearchBar
  },
  data() {
    return {
      currentTime: new Date()
    }
  },
  mounted() {
    setInterval(() => {
      this.currentTime = new Date()
    }, 1000)
  },
  computed: {
    time() {
      return this.currentTime.toTimeString().substring(0, 5)
    },
    date() {
      return this.currentTime.toLocaleDateString()
    }
  }
}
</script>
